Get a customer vault case
curl --request GET \
--url https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Customer",
"data": {
"id": "pcus_a1b2c3d4e5f6",
"partner_customer_ref": "partner-cust-001",
"type": "individual",
"status": "approved",
"profile": {
"first_name": "Jane",
"last_name": "Doe",
"email": "jane@example.com",
"date_of_birth": "1990-01-15",
"country_of_residence": "GB",
"phone": "+447700900123",
"gender": "f",
"id_type": "passport",
"id_number": "A1234567",
"address": {
"line1": "1 Example Street",
"city": "London",
"country": "GB",
"postal_code": "E1 6AN"
}
},
"documents": [
{
"id": "pdoc_a1b2c3d4e5f6",
"category": "identity",
"content_type": "application/pdf",
"created_at": "2026-08-01T12:00:00+00:00"
},
{
"id": "pdoc_b2c3d4e5f6a7",
"category": "address",
"content_type": "application/pdf",
"created_at": "2026-08-01T12:01:00+00:00"
}
],
"products": {
"deposit_account": {
"status": "ready"
}
},
"created_at": "2026-08-01T11:55:00+00:00",
"updated_at": "2026-08-01T12:05:00+00:00",
"submitted_at": "2026-08-01T12:02:00+00:00"
}
}{
"status": "error",
"message": "Unauthorized",
"data": null
}{
"status": "error",
"message": "Customer not found",
"data": null
}{
"status": "error",
"message": "Validation error",
"data": {
"field": "country"
}
}Customers
Get a customer vault case
Get one tenant-owned customer including document metadata and missing[].
GET
/
partner
/
customers
/
{customer_id}
Get a customer vault case
curl --request GET \
--url https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.elementpay.net/api/v1/partner/customers/{customer_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Customer",
"data": {
"id": "pcus_a1b2c3d4e5f6",
"partner_customer_ref": "partner-cust-001",
"type": "individual",
"status": "approved",
"profile": {
"first_name": "Jane",
"last_name": "Doe",
"email": "jane@example.com",
"date_of_birth": "1990-01-15",
"country_of_residence": "GB",
"phone": "+447700900123",
"gender": "f",
"id_type": "passport",
"id_number": "A1234567",
"address": {
"line1": "1 Example Street",
"city": "London",
"country": "GB",
"postal_code": "E1 6AN"
}
},
"documents": [
{
"id": "pdoc_a1b2c3d4e5f6",
"category": "identity",
"content_type": "application/pdf",
"created_at": "2026-08-01T12:00:00+00:00"
},
{
"id": "pdoc_b2c3d4e5f6a7",
"category": "address",
"content_type": "application/pdf",
"created_at": "2026-08-01T12:01:00+00:00"
}
],
"products": {
"deposit_account": {
"status": "ready"
}
},
"created_at": "2026-08-01T11:55:00+00:00",
"updated_at": "2026-08-01T12:05:00+00:00",
"submitted_at": "2026-08-01T12:02:00+00:00"
}
}{
"status": "error",
"message": "Unauthorized",
"data": null
}{
"status": "error",
"message": "Customer not found",
"data": null
}{
"status": "error",
"message": "Validation error",
"data": {
"field": "country"
}
}Authorizations
Partner API key. Sandbox keys start with is_test_; production keys start with is_live_. Keys are not interchangeable across environments. Send on every request. Never expose in browser or mobile clients.
Path Parameters
Public customer id returned on create
Example:
"pcus_a1b2c3d4e5f6"